Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617340 - Review Request: throttle - copy stdin to stdout at the specified speed (or lower)
Review Request: throttle - copy stdin to stdout at the specified speed (or lo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 15:30 EDT by François Cami
Modified: 2011-07-20 11:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: throttle-1.2-4.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 01:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description François Cami 2010-07-22 15:30:56 EDT
Spec URL: http://fcami.fedorapeople.org/srpms/throttle.spec
SRPM URL: http://fcami.fedorapeople.org/srpms/throttle-1.2-2.fc13.src.rpm
Description: http://fcami.fedorapeople.org/srpms/throttle.spec

Throttle copies the standard input to the standard output while limiting bandwidth to the specified maximum.
For instance, to avoid overloading a system while using dd to create a file on the hard drive, you would run:
$ dd if=/dev/zero | throttle -m 20 | dd of=somefile bs=4096 count=100000

Please note that I need a sponsor as I am not a packager yet.
Comment 1 François Cami 2010-07-24 15:42:56 EDT
First review: https://bugzilla.redhat.com/show_bug.cgi?id=575529
Comment 3 d. johnson 2010-07-25 15:11:54 EDT
Please note, I am not an an official packager.

- Package meets naming and packaging guidelines
- Spec file matches base package name.
- Spec has consistent macro usage.
- Meets Packaging Guidelines.
- License
- License field in spec matches
- License file included in package
- Spec in American English
- Spec is legible.
- Sources match upstream md5sum:

- Package does not need ExcludeArch
- BuildRequires correct
- Spec handles locales/find_lang (none found in package)
- Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
- Package has correct buildroot
- Package is code or permissible content.
- Doc subpackage not needed/used.
- Packages %doc files don't affect runtime.

- Package is a not a GUI app

- Package compiles and builds on at least one arch.
- Package has no duplicate files in %files.
- Package doesn't own any directories other packages own.
- Package owns all the directories it creates.
- No rpmlint output.
- final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done


SHOULD Items:

- Should build in mock.  (Does.)
- Should build on all supported archs (Builds on both i686 and x86_64)
- Should function as described. (Does)
- Should have sane scriptlets. (None)
- Should have subpackages require base package with fully versioned depend. (None)
- Should have dist tag (Does)
- Should package latest version (Does)
- check for outstanding bugs on package. (For core merge reviews)

% rpmlint throttle-*1.2-3.fc1*.rpm 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 4 Kevin Fenzi 2010-07-28 14:28:27 EDT
I'll look at doing a review here soon. ;) 

If you have another package to submit also that would be good, or can do a few more 'pre-reviews'. 

One quick comment on this spec: 

Can you avoid using %makeinstall? See: 
https://fedoraproject.org/wiki/PackagingDrafts/MakeInstall
(or the non draft section in the main guidelines)
Comment 5 François Cami 2010-07-28 14:49:10 EDT
Thank you Kevin.

Updated Spec: http://fcami.fedorapeople.org/srpms/throttle.spec
Updated SRPM: http://fcami.fedorapeople.org/srpms/throttle-1.2-4.fc13.src.rpm
I've switched from %makeinstall to "make DESTDIR=%{buildroot} install".

Another package should be up tomorrow.
Comment 6 François Cami 2010-08-13 18:40:21 EDT
Another package review request:
https://bugzilla.redhat.com/show_bug.cgi?id=624179
Comment 7 François Cami 2010-08-13 19:29:32 EDT
Another package review request:
https://bugzilla.redhat.com/show_bug.cgi?id=624182
Comment 8 Kevin Fenzi 2010-08-14 14:40:08 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
See below - License
See below - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
bb8abf5a9a63ed7d80951f056543a88c  throttle-1.2.tar.gz
bb8abf5a9a63ed7d80951f056543a88c  ../rpm/throttle/throttle-1.2.tar.gz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. The license seems to be GPLv2, but throttle.c has: 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.

It looks like they might have meant, 'or any later version' there, or 
messed up cutting that off. Could you ask upstream to clarify if it's ONLY 
GPLv2, or if they meant GPLv2+

2. rpmlint says: 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

So, the only issue here is the clarification of the license. 

I'll look at some of your other reviews in the mean time. ;)
Comment 9 François Cami 2010-08-14 15:13:17 EDT
Upstream pinged about the issue. I will update the bug, spec and srpm as needed.
Thanks a lot Kevin.
Comment 10 Kevin Fenzi 2010-08-15 15:59:54 EDT
Removing needsponsor here as I am sponsoring.
Comment 11 François Cami 2010-09-19 16:44:59 EDT
Kevin,

Would it be possible to decide to distribute the SRPM under the GPLv2, knowing that the throttle.spec file included in upstream's tarball mentions "License: GPL v2"? 

Just a thought.
Comment 12 Kevin Fenzi 2010-09-20 12:55:02 EDT
No word from upstream then I take it? :( 

I guess it's a reasonable bet that they mean GPLv2+, but it sure would be nice to at least confirm that in an email. ;(
Comment 13 François Cami 2010-09-20 13:02:33 EDT
upstream appears mute :/

I can maintain the code myself, so I don't have a problem with submitting and maintaining the package, but the license issue bites...
I would flag the license as GPLv2 since upstream's original spec mentions GPLv2, not v2+. What do you think?
Comment 14 Kevin Fenzi 2010-09-21 15:16:23 EDT
I'm leary of shipping something where we don't know what the author intends, but GPLv2 might be ok, since it's either GPLv2+ or GPLv2, and just GPLv2 would be the more restrictive one until we hear back. 

Adding FE-Legal here for Spot's opinion.
Comment 15 François Cami 2010-11-19 12:35:53 EST
Upstream being unresponsive, I would like to ship under GPLv2 only.
Comment 16 Tom "spot" Callaway 2011-06-30 13:04:54 EDT
You can safely assume GPLv2 only. Lifting FE-Legal.
Comment 17 Kevin Fenzi 2011-06-30 13:15:02 EDT
With that cleared up, this package is APPROVED.
Comment 18 François Cami 2011-06-30 17:00:01 EDT
Thank you Tom and Kevin.
Comment 19 François Cami 2011-06-30 17:02:51 EDT
New Package SCM Request
=======================
Package Name: throttle
Short Description: Bandwidth limiting pipe
Owners: fcami 
Branches: f15 el5 el6
InitialCC:
Comment 20 Gwyn Ciesla 2011-07-01 08:12:24 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2011-07-01 17:45:05 EDT
throttle-1.2-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/throttle-1.2-4.fc15
Comment 22 Fedora Update System 2011-07-01 17:45:45 EDT
throttle-1.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/throttle-1.2-4.el6
Comment 23 Fedora Update System 2011-07-01 18:04:16 EDT
throttle-1.2-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/throttle-1.2-4.el5
Comment 24 Fedora Update System 2011-07-02 15:27:04 EDT
throttle-1.2-4.fc15 has been pushed to the Fedora 15 testing repository.
Comment 25 Fedora Update System 2011-07-12 01:24:08 EDT
throttle-1.2-4.fc15 has been pushed to the Fedora 15 stable repository.
Comment 26 Fedora Update System 2011-07-20 11:32:57 EDT
throttle-1.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 27 Fedora Update System 2011-07-20 11:34:10 EDT
throttle-1.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.